iCAx开思工具箱

 找回密码
 立即注册

QQ登录

只需一步,快速开始

查看: 24086|回复: 2
打印 上一主题 下一主题

如何通过程序实现扫描实体??

[复制链接]
跳转到指定楼层
楼主
发表于 2004-5-16 10:13:28 | 只看该作者 回帖奖励 |正序浏览 |阅读模式

马上注册登录,享用更多网站功能!

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
首先,我通过程序画出了5条截面线和3根导线,然后做了一个扫描实体的程序代码,拷贝如下,请各位大虾帮忙找问题:
  /*----------------------------------------------------------*/
  /*[说明]:扫描创建实体
    /*----------------------------------------------------------*/
    
  
  
  UF_MODL_init_string_list([$s_guide)]
  UF_MODL_create_string_list(3,3,[$s_guide)]
  s_guide.num = 3;
  for(i=0;i<3;i++)
  {
    s_guide.string = 1;
    s_guide.dir = 1;
    s_guide.id = guideLine_tag;
  }
  
  UF_MODL_init_string_list([$s_section)]
  UF_MODL_create_string_list(5,5,[$s_section)]
  s_section.num = 5;   
  for(i=0;i<5;i++)
  {
    s_section.string = 1;
    s_section.dir = 1;
    s_section.id = spline_tag;
  }  
  alignment = 1;//Alignment method:
                 = Parameter
                 = Arc Length
  
  inter = 2;//Interpolation method (for s_section->num > 1):
            = Linear  
            = Cubic
  
  body_type =0;//Type of body:
                  = Sheet (Default)
               = Solid
  boolean =UF_NULLSIGN;//The sign of the operation to be performed.
                         // UF_NULLSIGN = create new target solid
             //UF_POSITIVE = add to target solid
             //UF_NEGATIVE = subtract from target solid
             //UF_UNSIGNED = intersect with target solid
  //Tolerances:
  tol[0] = 0.025;//[0] = Distance               
  tol[1] = 0.2;    //[1] = Angle (in radians)
  tol[2] = 0.1;    //[2] = Intersection
   
  UF_MODL_create_sweep(&s_guide,    //UF_STRING_p_t s_guide,
                     &s_section,  //UF_STRING_p_t s_section,  
             NULL,        //UF_STRING_p_t s_spine,
             NULL,        //UF_METHOD_p_t orientation,
             NULL,        //UF_METHOD_p_t scaling,               
             &alignment,  //int * alignment,
             &inter,      //int * inter,
             &body_type,  //int * body_type,
             boolean,     // UF_FEATURE_SIGN boolean,
             tol,         //double tol[ 3 ],
             [$body_obj_id)]//tag_t * body_obj_id

1903727-123-embed.jpg (13.55 KB, 下载次数: 7)

阅读权限: 1

1903727-123-embed.jpg
分享到:  QQ好友和群QQ好友和群 QQ空间QQ空间 腾讯微博腾讯微博 腾讯朋友腾讯朋友
收藏收藏 分享淘帖 支持支持
板凳
 楼主| 发表于 2004-5-16 16:12:22 | 只看该作者

马上注册登录,享用更多网站功能!

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
沙发
发表于 2004-5-16 13:47:38 | 只看该作者

马上注册登录,享用更多网站功能!

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

手板模型制作,在线3D打印服务

QQ|小黑屋|手机版|开思工具箱 CAD工具箱_CAM工具箱  

GMT+8, 2024-11-15 12:41 , Processed in 0.013765 second(s), 8 queries , Gzip On, Redis On.

Powered by Discuz! X3.3

© 2002-2024 www.iCAx.org

快速回复 返回顶部 返回列表